# Enum Class VariantCategory

java.lang.Object
java.lang.Enum<VariantCategory>
org.snpsift.annotate.mem.VariantCategory

All Implemented Interfaces:
  `Serializable, Comparable<VariantCategory>, Constable`

public enum VariantCategory extends Enum<VariantCategory>
The `VariantCategory` enum represents different categories of genetic variants. It provides a method to categorize a given `Variant` object based on its type. Categories include: - SNP_A, SNP_C, SNP_G, SNP_T - Single Nucleotide Polymorphisms (SNPs) for each nucleotide base - INS - Insertions - DEL - Deletions - MNP - Multiple Nucleotide Polymorphisms - MIXED - Mixed variants - OTHER - Any other type of variant not covered by the above categories The `of` method determines the category of a given `Variant` by checking its type and, in the case of SNPs, the specific nucleotide base involved. The `size` method returns the total number of variant categories defined in this enum. Usage example: ``` Variant variant = ...; // Obtain a Variant object VariantCategory category = VariantCategory.of(variant); System.out.println("Variant category: " + category); ```

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEL`
`INS`
`MIXED`
`MNP`
`OTHER`
`SNP_A`
`SNP_C`
`SNP_G`
`SNP_T`

## Method Summary

Modifier and Type
Method
Description
`static VariantCategory`
`of(org.snpeff.interval.Variant variant)`
`static int`
`size()`
`static VariantCategory`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantCategory[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SNP_A

public static final VariantCategory SNP_A

### SNP_C

public static final VariantCategory SNP_C

### SNP_G

public static final VariantCategory SNP_G

### SNP_T

public static final VariantCategory SNP_T

### INS

public static final VariantCategory INS

### DEL

public static final VariantCategory DEL

### MNP

public static final VariantCategory MNP

### MIXED

public static final VariantCategory MIXED

### OTHER

public static final VariantCategory OTHER

## Method Details

### values

public static VariantCategory[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariantCategory valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

public static VariantCategory of(org.snpeff.interval.Variant variant)

### size

public static int size()